/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.FormaPagoDetDAO;
import com.rjconsultores.ventaboletos.entidad.FormaPagoDet;
import com.rjconsultores.ventaboletos.service.FormaPagoDetService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("formaPagoDetService")
public class FormaPagoDetServiceImpl implements FormaPagoDetService {

    @Autowired
    private FormaPagoDetDAO formaPagoDetDAO;

    public List<FormaPagoDet> obtenerTodos() {
        return formaPagoDetDAO.obtenerTodos();
    }

    public FormaPagoDet obtenerID(Integer id) {
        return formaPagoDetDAO.obtenerID(id);
    }

    @Transactional
    public FormaPagoDet suscribir(FormaPagoDet entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return formaPagoDetDAO.suscribir(entidad);
    }

    @Transactional
    public FormaPagoDet actualizacion(FormaPagoDet entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return formaPagoDetDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(FormaPagoDet entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        formaPagoDetDAO.actualizacion(entidad);
    }
}
